Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 171270 - evolution crashes while using autocomplete
Summary: evolution crashes while using autocomplete
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: evolution
Version: 6
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Matthew Barnes
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: FC4Update
TreeView+ depends on / blocked
 
Reported: 2005-10-20 07:38 UTC by Need Real Name
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-12-16 23:29:29 UTC


Attachments (Terms of Use)
bugbuddy stack trace (deleted)
2005-10-20 07:39 UTC, Need Real Name
no flags Details
Console output from /usr/libexec/evolution/2.2/evolution-exchange-storage (deleted)
2005-10-21 14:46 UTC, Need Real Name
no flags Details
requested stack trace (deleted)
2005-12-01 08:09 UTC, Need Real Name
no flags Details

Description Need Real Name 2005-10-20 07:38:43 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050923 Epiphany/1.6.5

Description of problem:
Evolution often crashes when I start typing a name into the To: line and autocomplete is turned on.

Attached will be the bugbuddy stack trace.

If you need any more info, I can get it quite quickly - it crashes several times a day.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
x

Additional info:

Comment 1 Need Real Name 2005-10-20 07:39:05 UTC
Created attachment 120183 [details]
bugbuddy stack trace

Comment 2 Dave Malcolm 2005-10-20 17:49:19 UTC
Thanks for this bug report.

Looks like an assertion is failing in the evolution-exchange-storage process. 
If you manually start this in a terminal before starting evolution, with the
command:

/usr/libexec/evolution/2.2/evolution-exchange-storage

then it should report an error message there when it dies.  What's the output?


Comment 3 Need Real Name 2005-10-21 12:24:09 UTC
This is great! No crashes at all for over a day!

I got this at startup, but no crash yet..
(evolution-exchange-storage:25030): Bonobo-CRITICAL **:
bonobo_object_corba_objref: assertion `BONOBO_IS_OBJECT (object)' failed

(evolution-exchange-storage:25030): Bonobo-CRITICAL **:
bonobo_object_corba_objref: assertion `BONOBO_IS_OBJECT (object)' failed

Comment 4 Need Real Name 2005-10-21 14:46:25 UTC
Created attachment 120256 [details]
Console output from /usr/libexec/evolution/2.2/evolution-exchange-storage

I spoke too soon..

Comment 5 Need Real Name 2005-11-30 09:33:06 UTC
Okay, I'm back to my seemingly-hourly routine of evolution crashing whenever I
type something in the To: field.

After a week of this, it's time I updated the bug.

Comment 6 Dave Malcolm 2005-11-30 16:35:33 UTC
Thanks for the updated information.

Please can you 
(i) specify the result of:
rpm -q evolution evolution-connector evolution-data-server openldap

(ii) install the corresponding debuginfo packages for evolution-connector and
openldap.  For more information on this see:
http://fedoraproject.org/wiki/StackTraces

Then try locating the evolution-exchange-storage process using
ps ax | grep evo

and then do a "gdb attach" to the process ID.

Then try to reproduce the crash.  When it happens, do a "t a a bt" inside gdb,
and attach the resulting backtrace to this bug.  

Thanks.

Comment 7 Need Real Name 2005-12-01 08:09:27 UTC
Created attachment 121666 [details]
requested stack trace

$ rpm -q evolution evolution-connector evolution-data-server openldap
evolution-2.2.3-2.fc4
evolution-connector-2.2.2-5
evolution-data-server-1.2.3-3.fc4
openldap-2.2.29-1.FC4

Stack trace attached.

Comment 8 Need Real Name 2005-12-15 10:34:28 UTC
I don't think you still need information from me on this one?

I can tell you that the crashes are continuing though.

Comment 9 Need Real Name 2006-03-15 10:43:06 UTC
Still crashing a few times a day.

Comment 11 Matthew Barnes 2006-07-31 16:25:04 UTC
Is this bug still present in the latest Rawhide release?

evolution-2.7.4-3
evolution-connector-2.7.4-1.1
evolution-data-server-1.7.4-2
openldap-2.3.24-2.1

Comment 12 Matthew Barnes 2006-12-16 23:29:29 UTC
Closing this bug due to lack of updates.  Feel free to re-open this if the
problem still exists in the latest Fedora Core 6 packages:

evolution-2.8.2.1-2.fc6
evolution-connector-2.8.2-2.fc6
evolution-data-server-1.8.2-1.fc6
openldap-2.3.30-1.fc6.1



Note You need to log in before you can comment on or make changes to this bug.